View Issue Details

IDProjectCategoryView StatusLast Update
0018333LazarusIDEpublic2011-01-24 10:19
ReporterTomasz WieckowskiAssigned ToMaxim Ganetsky 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0018333: Fix for "Apply conventions" alignment in Compiler Options
DescriptionFix for bad alignment of "Apply conventions" CheckBox in "Compiler Options -> Paths".
TagsNo tags attached.
Fixed in Revision28833
LazTarget0.9.30
Widgetset
Attached Files
  • scr2.png (34,292 bytes)
    scr2.png (34,292 bytes)
  • comp_p_opt.patch (771 bytes)
    Index: ide/frames/compiler_path_options.lfm
    ===================================================================
    --- ide/frames/compiler_path_options.lfm	(revision 28828)
    +++ ide/frames/compiler_path_options.lfm	(working copy)
    @@ -240,13 +240,13 @@
       object ProjTargetApplyConventionsCheckBox: TCheckBox[16]
         AnchorSideLeft.Control = ProjTargetFileLabel
         AnchorSideLeft.Side = asrBottom
    -    AnchorSideTop.Control = ProjTargetFileLabel
    -    AnchorSideTop.Side = asrCenter
         AnchorSideRight.Side = asrBottom
    +    AnchorSideBottom.Control = ProjTargetFileEdit
         Left = 130
         Height = 22
         Top = 202
         Width = 272
    +    Anchors = [akLeft, akBottom]
         BorderSpacing.Left = 6
         Caption = 'ProjTargetApplyConventionsCheckBox'
         TabOrder = 8
    
    comp_p_opt.patch (771 bytes)

Activities

2010-12-28 13:11

 

scr2.png (34,292 bytes)
scr2.png (34,292 bytes)

2010-12-28 13:12

 

comp_p_opt.patch (771 bytes)
Index: ide/frames/compiler_path_options.lfm
===================================================================
--- ide/frames/compiler_path_options.lfm	(revision 28828)
+++ ide/frames/compiler_path_options.lfm	(working copy)
@@ -240,13 +240,13 @@
   object ProjTargetApplyConventionsCheckBox: TCheckBox[16]
     AnchorSideLeft.Control = ProjTargetFileLabel
     AnchorSideLeft.Side = asrBottom
-    AnchorSideTop.Control = ProjTargetFileLabel
-    AnchorSideTop.Side = asrCenter
     AnchorSideRight.Side = asrBottom
+    AnchorSideBottom.Control = ProjTargetFileEdit
     Left = 130
     Height = 22
     Top = 202
     Width = 272
+    Anchors = [akLeft, akBottom]
     BorderSpacing.Left = 6
     Caption = 'ProjTargetApplyConventionsCheckBox'
     TabOrder = 8
comp_p_opt.patch (771 bytes)

Maxim Ganetsky

2010-12-29 22:26

developer   ~0044696

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-12-28 13:11 Tomasz Wieckowski New Issue
2010-12-28 13:11 Tomasz Wieckowski File Added: scr2.png
2010-12-28 13:11 Tomasz Wieckowski Widgetset => Win32/Win64
2010-12-28 13:12 Tomasz Wieckowski File Added: comp_p_opt.patch
2010-12-29 10:36 Vincent Snijders LazTarget => 0.9.30
2010-12-29 10:36 Vincent Snijders Status new => acknowledged
2010-12-29 10:36 Vincent Snijders Target Version => 0.9.30
2010-12-29 21:37 Maxim Ganetsky Status acknowledged => assigned
2010-12-29 22:26 Maxim Ganetsky Fixed in Revision => 28833
2010-12-29 22:26 Maxim Ganetsky Widgetset Win32/Win64 =>
2010-12-29 22:26 Maxim Ganetsky Status assigned => resolved
2010-12-29 22:26 Maxim Ganetsky Fixed in Version => 0.9.31 (SVN)
2010-12-29 22:26 Maxim Ganetsky Resolution open => fixed
2010-12-29 22:26 Maxim Ganetsky Assigned To => Maxim Ganetsky
2010-12-29 22:26 Maxim Ganetsky Note Added: 0044696
2010-12-29 23:50 Tomasz Wieckowski Status resolved => closed
2011-01-24 10:19 Vincent Snijders Fixed in Version 0.9.31 (SVN) => 0.9.29 (SVN)